[arch-commits] Commit in gperf/trunk (PKGBUILD gperf.install)

Eric Bélanger eric at archlinux.org
Fri May 1 02:34:52 EDT 2009


    Date: Friday, May 1, 2009 @ 02:34:51
  Author: eric
Revision: 37368

upgpkg: gperf 3.0.4-1
    Upstream update, Updated license to GPL3, Added install scriptlet to handle info pages

Added:
  gperf/trunk/gperf.install
Modified:
  gperf/trunk/PKGBUILD

---------------+
 PKGBUILD      |   16 +++++++++-------
 gperf.install |   20 ++++++++++++++++++++
 2 files changed, 29 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-01 06:22:24 UTC (rev 37367)
+++ PKGBUILD	2009-05-01 06:34:51 UTC (rev 37368)
@@ -2,19 +2,21 @@
 #Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gperf
-pkgver=3.0.3
+pkgver=3.0.4
 pkgrel=1
 pkgdesc="Perfect hash function generator."
 arch=('x86_64' 'i686')
 url="http://www.gnu.org/software/gperf/"
-license=('GPL')
-depends=('gcc-libs')
+license=('GPL3')
+depends=('gcc-libs' 'texinfo')
+install=gperf.install
 source=(ftp://ftp.gnu.org/gnu/gperf/${pkgname}-${pkgver}.tar.gz)
-md5sums=('cc20e58975a38075440423c8fb85fd00')
+md5sums=('c1f1db32fb6598d6a93e6e88796a8632')
 
 build() {
-  cd $startdir/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
+  gzip ${pkgdir}/usr/share/info/gperf.info
 }

Added: gperf.install
===================================================================
--- gperf.install	                        (rev 0)
+++ gperf.install	2009-05-01 06:34:51 UTC (rev 37368)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(gperf.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list